## org.apache.cassandra.utils
Class CLibrary

    java.lang.Object
      org.apache.cassandra.utils.CLibrary

    public final class CLibrary

extends java.lang.Object

Method Summary
`static void` `createHardLink(java.io.File sourceFile, java.io.File destinationFile)` Create a hard link for a given file.
`static void` `tryMlockall()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### tryMlockall

    public static void tryMlockall()

### createHardLink

    public static void createHardLink(java.io.File sourceFile,
                                      java.io.File destinationFile)
                               throws java.io.IOException

  Create a hard link for a given file.

  Parameters:
    `sourceFile` - The name of the source file.
    `destinationFile` - The name of the destination file.
  Throws:
    `java.io.IOException` - if an error has occurred while creating the link.

Copyright © 2010 The Apache Software Foundation